const baseSettings = {
  // title: {
  //   title: '标题',
  //   type: 'string',
  //   // widget: 'htmlInput',
  //   displayType: 'row',
  //   labelWidth: 80,
  // },
}

const commonSettings = {
  $id: {
    title: '字段名称',
    type: 'string',
    widget: 'FieldNames',
    required: true,
    displayType: 'row',
    labelWidth: 80,
    // width: '70%',
  },
  title: {
    title: '标题',
    required: true,
    type: 'string',
    widget: 'htmlInput',
    displayType: 'row',
    labelWidth: 80,
  },
  placeholder: {
    title: '提示语',
    type: 'string',
    widget: 'Placeholder',
    displayType: 'row',
    labelWidth: 80,
    dependencies: ['title']
  },
  // description: {
  //   title: '说明',
  //   type: 'string',
  // },
  presetValue: {
    title: '默认值',
    type: 'string',
    displayType: 'row',
    labelWidth: 80,
  },
}

const switchSettings = {
  disabled: {
    title: '只读',
    type: 'boolean',
    widget: 'checkbox',
    // displayType: 'row',
    // labelWidth: 80,
    default: false,
    width: '33%',
  },
  required: {
    title: '必填',
    type: 'boolean',
    widget: 'checkbox',
    // displayType: 'row',
    // labelWidth: 80,
    default: false,
    width: '33%',
  },
  hidden: {
    title: '隐藏',
    type: 'boolean',
    widget: 'checkbox',
    default: false,
    width: '33%',
    // displayType: 'row',
    // labelWidth: 80,
  },
}

const elementSettings = {
  // width: {
  //   title: '元素宽度',
  //   type: 'string',
  //   widget: 'percentSlider',
  //   // default: '33%',
  // },
  labelWidth: {
    title: '标签宽度',
    description: '默认值110',
    default: 110,
    type: 'number',
    widget: 'slider',
    max: 400,
    props: {
      hideNumber: true,
    },
  },
}

const globalSettings = {
  type: 'object',
  properties: {
    groupBase: {
      title: '基础信息',
      type: 'object',
      properties: {},
    },
    tableName: {
      title: '表名',
      type: 'string',
      widget: 'TableNames',
      // default: '事件_测试02',
      required: true,
      displayType: 'row',
      labelWidth: 70,
    },
    alias: {
      title: '别名',
      type: 'string',
      widget: 'htmlInput',
      displayType: 'row',
      labelWidth: 70,
    },
    // interfaceName: {
    //   title: '接口',
    //   type: 'string',
    //   widget: 'htmlInput',
    //   displayType: 'row',
    //   labelWidth: 70,
    //   default: '我是接口'
    // },
    groupStyle: {
      title: '表单样式',
      type: 'object',
      properties: {},
    },
    column: {
      title: '整体布局',
      type: 'number',
      // enum: [1, 2, 3, 4, 5],
      enum: [3, 4, 5],
      default: 3,
      // enumNames: ['一行一列', '一行两列', '一行三列', '一行四列', '一行五列'],
      enumNames: ['一行三列', '一行四列', '一行五列'],
      widget: 'select',
      props: {
        placeholder: '默认一行三列',
      },
      displayType: 'row',
      labelWidth: 100,
    },
    displayType: {
      title: '标签展示模式',
      type: 'string',
      default: 'row',
      enum: ['row', 'column'],
      enumNames: ['同行', '单独一行'],
      widget: 'select',
      displayType: 'row',
      labelWidth: 100,
    },
    labelWidth: {
      title: '标签宽度',
      type: 'number',
      widget: 'slider',
      max: 300,
      default: 120,
      props: {
        hideNumber: true,
      },
    },
  },
}

export {
  baseSettings,
  commonSettings,
  switchSettings,
  elementSettings,
  globalSettings
}