import React, { useState, useContext, forwardRef, useImperativeHandle, createContext } from 'react'
import FormRender, { useForm } from 'form-render'
import { ConfigProvider } from 'antd'
import widgets from '../widgets'
import { isObject } from '../../utils'

export const GlobalStore = createContext(null)

const XRender = (props, ref) => {

  useImperativeHandle(ref, () => (
    {
      getValues
    }
  ))

  const { schema } = props
  const { getPrefixCls } = useContext(ConfigProvider.ConfigContext)
  const prefixCls = getPrefixCls('pandaXform')
  const pandaXform = getPrefixCls()
  const form = useForm()

  const getValues = async () => {
    let { data, errors } = await form.submit()
    let formValue = []
    Object.keys(data).map((k) => {
      if (isObject(data[k])) {
        Object.keys(data[k]).map((key) => {
          formValue.push({ fieldName: key, fieldValue: data[k][key] })
        })
      }
    })
    return {
      formValue,
      errors,
      relationForm: data.relationForm
    }
  }

  return (
    <div className={prefixCls}>
      <FormRender
        configProvider={{ prefixCls: pandaXform }}
        form={form}
        schema={schema}
        mapping={{
          object: 'Header',
        }}
        widgets={widgets}
      />
    </div>
  )

}

export default forwardRef(XRender)
