import React, { useEffect } from 'react'
import { Switch } from 'antd'

const BooleanSwitch = (props) => {

  const { value, onChange, addons, schema, disabled } = props
  const { name } = addons.formData

  const switchChange = (checked) => {
    onChange(checked)
  }

  useEffect(() => {
    if (name === '下拉框') {
      if (value) {
        const schemas = addons.getSchemaByPath('isMultiple')
        addons.setSchemaByPath('isMultiple', { ...schemas, isMultiple: false, hidden: true })
      } else {
        const schemas = addons.getSchemaByPath('isMultiple')
        addons.setSchemaByPath('isMultiple', { ...schemas, isMultiple: false, hidden: false })
      }
    }
  }, [value])

  return (
    <Switch
      checked={value}
      checkedChildren='是'
      unCheckedChildren='否'
      onChange={switchChange}
    />
  )

}

export default BooleanSwitch