import React, { useMemo, useState } from 'react'
import { Input, Modal, Popover, Select } from 'antd'
import { EllipsisOutlined } from '@ant-design/icons'

const options = [
  { label: '本人姓名', value: '【本人姓名】' },
  { label: '本人部门', value: '【本人部门】' },
]

const InputDefault = (props) => {

  const { value, onChange } = props

  const style = useMemo(() => {
    let paths = ['【本人姓名】', '【本人部门】']
    if (paths.includes(value)) {
      return { color: 'blue' }
    }
    return null
  }, [value])

  const selectChange = (value) => {
    onChange(value)
  }


  const inputChange = (e) => {
    onChange(e.target.value)
  }

  const content = (
    <Select
      placeholder='请选择环境变量'
      style={{ width: '100%' }}
      options={options}
      onChange={selectChange}
    >
    </Select>
  )

  return (
    <div className='InputDefault'>
      <Input
        allowClear
        value={value}
        onChange={inputChange}
        style={style}
        addonAfter={
          <Popover
            placement="topRight"
            content={content}
            title="环境变量"
            trigger="click"
          >
            <EllipsisOutlined />
          </Popover>
        }
      />
    </div>
  )

}

export default InputDefault