import React, { useState } from 'react'
import { Select, message } from 'antd'
import { LoadTableV2, LoadTableFields } from '../../../../../apis/process'

const FieldName = (props) => {

  const { value, onChange, addons } = props
  const { tableName } = addons.formData
  const [options, setOptions] = useState([])

  const onFocus = async () => {
    if (!tableName) {
      return message.info('请选择表名!')
    }
    const { code, data, msg } = await LoadTableFields({ tableName: tableName })
    if (code === 0) {
      let result = data.root.map(v => { return { label: v.fieldName, value: v.fieldName } })
      setOptions(result)
    } else {
      message.error(msg)
    }
  }

  const selectChange = (value) => {
    onChange(value)
  }

  return (
    <Select
      options={options}
      value={value}
      onFocus={onFocus}
      onChange={selectChange}
    >
    </Select>
  )

}

export default FieldName