import React, { useEffect, useContext } from 'react'
import { Input, Popover, ConfigProvider } from 'antd'
import { QrcodeOutlined } from '@ant-design/icons'
import QRcode from 'qrcode.react'
import './index.less'

const Coding = (props) => {

  const { getPrefixCls } = useContext(ConfigProvider.ConfigContext)
  const prefixCls = getPrefixCls('pandaXform')
  const { value, onChange, schema, addons } = props
  const { disabled } = schema

  const inputChange = (e) => {
    if (addons) {
      onChange(e.target.value)
    }
  }

  const content = (
    <div>
      <QRcode value={value} />
    </div>
  )

  return (
    <div className={`${prefixCls}-input`} isdisabled={JSON.stringify(disabled)}>
      <Input
        onChange={inputChange}
        disabled={disabled}
        addonAfter={
          <Popover content={content}>
            <QrcodeOutlined />
          </Popover>
        }
      />
    </div>
  )

}

export default Coding